Prezentare

1. Prezentare

FocusPrint - profesionala este un program care face parte din pachetul de aplicatii FocusPrint si se adreseaza unitatilor de invatamant avand drept scop printarea urmatoarelor tipuri de acte scolare:

1. Certificat de calificare profesionala Nivel 1.
2. Certificat de calificare profesionala Nivel 2.
3. Certificat de calificare profesionala Nivel 3.
4. Certificat de competente profesionale.
5. Adeverinte de competente profesionale.
6. Atestat de competente profesionale.
7. Certificat de absolvire a scolii.

click pentru zoom

Fereastra principala a programului prezinta lista inregistrarilor inserate in aplicatie, inregistrari care pot fi administrate manual folosind optiunea 'Adaugare/Modificare/Stergere' sau automat folosind optiunea Import din fisier Excel. Probabil administrarea acestora se va face prin mixarea acestor operatii, dupa import se va modifica manual inregistrarile pentru setarea tuturor campurilor(nr, data eliberarii). (pentru detalii vezi inregistrari - import/export).
Fereastra principala mai contine un meniu

cu ajutorul caruia se pot apela diverse operatii detaliate pe larg in paginile urmatoare si o bara cu butoane in partea superioara pentru o mai rapida accesare a acestor operatii.

*) Matrita este o structura de date care memoreaza pozitionarea,dimensiunile,fontul si alinierea fiecarui camp cu ajutorul careia se vor tipari diplomele de bacalaureat (pentru mai multe detalii vezi: Matrite).


Cerinte minime hardware si software

2. Cerinte minime software si hardware, configurare sistem, instalare

a) Software:
- sistem de operare Win98
- Windows Installer 2.0
- Microsoft Internet Explorer 5.01
- Windows Management Instrumentation (WMI) CORE 1.5. (pentru Windows 95/98/NT 4.0)
(CD: in directorul '\Componente' sau www.microsoft.com/downloads)

b) Hardware:
- procesor: Pentium I la 150MHz
- minim 128Mb RAM cu 15Mb liberi pentru instalarea programului si 70MB pt. serverul bazei de date*1 pe HDD .
- imprimanta pentru printarea tipizatelor.

Configurare sistem inainte de instalare:

1. Setati formatul 'Romanian' in dialogul 'Regional and Language Options' (Control Panel) .

altfel instalarea se va termina anormal cu acest mesaj de eroare:

Dupa instalarea aplicatiei puteti reveni la configuratia initiala.

2. Instalati serviciul 'File an Printer Sharing for Microsoft Networks' daca acesta nu este deja instalat.

Instalare:

- instalati pachetele de la 'Cerinte software' inainte de instalarea aplicatiei.
- pentru instalarea aplicatiei folositi fisierul 'setup.exe' din directorul cu kitul de instalare.

Dialogul pentru instalarea aplicatiei:

Pasul 1*). Instalarea server-ului bazei de date. Toate aplicatiile companiei Enterprise Technologies folosesc o singura instanta a bazei de date (ETSOFT) , serverului bazei de date instalandu-se o singura data la instalarea primei aplicatii.
Atentie: in cazul in care aveti instalate mai multe aplicatii (matricola, scolarPlus) la dezinstalarea unei aplicatii nu dezinstalati si serverul bazei de date(Pasul 1), altfel riscati ca sa pierdeti inregistrarile celorlalte aplicatii.
Pasul 2) instalare/dezinstalare aplicatie(la dezinstalare se sterge baza de date cu toate inregistrarile, dar nu si serverul (pasul1) ).

*2) dupa instalarea pachetelor si a aplicatie, pentru sistemul de operare Windows98, este necesara executarea fisierului 'fixWin98.bat' din directorul \fixWin98 din kitul de instalare, altfel printarea nu se va putea realiza.


Inregistrari

3a. Inregistrari

Adaugarea/modificarea inregistrarilor se realizeaza cu ajutorul optiunilor din meniu 'Optiuni\Inregistrari\" sau cu ajutorul butoanelor din partea superioara a ferestrei principale.
Verificari la introducerea informatiilor:
- CNP - se verifica daca CNP-ul introdus este corect si unic(nu mai exista o inregistrare in baza de date cu acelasi CNP).
- media - daca a fost completat campul corespunzator mediei se va face o verificare la adaugare/modificare, iar in cazul in care nu este corecta utilizatorul va fi atentionat cu mesaj de eroare corespunzator. Calcularea mediei se face cu ajutorul butonului din dreptul campului 'media'. Calificativele valide sunt: ADMIS, RESPINS, 1,2,..10.

Pentru a usura introducerea campurilor s-a optat pentru memorarea campurilor introduse anterior astfel se evita scrierea duplicitara care poate genera erori de scriere. Timpul de administrare(adaugare, modificare) a diplomelor este scurtat si prin folosirea unei solutii de asistenta (auto-complete).

Selectati optiunea 'completare automata a informatiilor' care are ca efect completarea automata a profilului scolar si a competentelor cu un profil scolar existent. Actionati butonul de mai multe ori in cazul in care exista mai multe profile scolare.

click pentru zoom click pentru zoom click pentru zoom


Import - Export

3b.Import/Export

Import

O alta modalitate de adaugare a inregistrarilor consta in importul acestora dintr-un fisier Excel, fisier care trebuie sa contina si un header. Headerul este o linie care trebuie sa contina informatii despre continutul coloanelor, informatie care poate fi scrisa in doua moduri:
1. textul corespunzator coloanei din lista cu diplome(ex. "2. Nume" va fi scris in dreptul coloanei cu numele absolventilor. vezi mai jos fisierul excel exportat )
2. indexul coloanei din lista cu diplome (ex. "2" va fi scris in dreptul coloanei cu numele absolventilor.)
Coloanele care nu se doresc a fi importate in aplicatie vor fi omise daca nu se seteaza celula corespunzatoare in header (celula libera).

La import, dupa ce a fost ales fisierul excel din dialogul corespunzator, urmeaza etapa de initializare, etapa in care se cauta headerul in fisierul Excel. Acesta nu este restrictionat sa fie doar in prima linie, putand fi pozitionat si la mijlocul fisierului fapt ce va duce la importul doar inregistrarilor ce urmeaza headerului. Dupa initializare se trece efectiv la importul inregistrarilor din fisier excel:

Pentru fiecare inregistrare care se adauga in lista cu inregistrari se verifica daca exista o inregistrare cu acelasi nume absolvent sau CNP. In cazul in care ambele sunt identice se poate opta pentru modificarea inregistrarii in lista curenta sau omiterea acesteia:

iar in cazul in care doar numele este identic (exista posibilitatea ca sa exista 2 persoane cu acelasi nume) se poate opta pentru modificarea inregistrarii sau adaugarea unei inregistrari noi cu acelasi nume de absolvent.

In cazul in care exista o inregistrare in lista curenta si se doreste importarea unei inregistrari cu acelasi CNP si nu se detecteaza nici o informatie diferita intre cele doua aceasta inregistrare va fi omisa.

Dupa importare un mesaj informativ va prezenta rezultatul operatiei:

Export

Optiunea Export are drept urmare exportarea inregistrarilor selectate din lista cu diplome. (se va exporta doar coloanele care sunt vizibile. vezi Vizualizare)

Fisierul Excel creat dupa export:

click pentru zoom


Campuri statice

3c.Setare campuri statice

Cu ajutorul optiunii din meniu 'Operatii\Setare campuri statice' aveti posibilitatea de a introduce campurile statice pentru toate actele care se vor printa.

click pentru zoom


Vizualizare coloane

3d.Vizualizare campuri

Cu ajutorul meniului 'Operatii\Vizualizare campuri' aveti posibilitatea de a vizualiza/ascunde coloanele din lista cu inregistrari pentru a usura vizualizarea unor campuri de lucru. De exemplu, daca s-au introdus informatiile referitoare la absolvent (CNP, Nivelul de calificare, Specializare) acestea pot fi "ascunse" pentru a usura vizualizarea campurilor 'probe' sau 'competente'. Ascunderea coloanelor este utila si in cazul in care doriti exportarea doar a anumitor campuri, la export coloanele ascunse nefiind exportate.


Printare

2e. Printare

Optiunea Printare\nume document are ca efect aparitia unui dialog de previzualizare a diplomelor si setarea matritei inainte de printare. Dupa cum se poate vedea din exemplu campul "nume" absolvent a fost setat cu un alt font pentru a pune in evidenta eficienta folosirii matritelor utilizand o matrita setata in prealabil (pentru mai multe detalii vezi Matrite)

click pentru zoom

click pentru zoom

verso:

click pentru zoom


Matrite

4a. Matrite

Administrarea matritelor se realizeaza cu ajutorul optiunii din meniu "Administrare\Matrite" pentru fiecare tip de act in parte:

Matrita este o structura de date care memoreaza pozitionarea,dimensiunile, fontul si alinierea fiecarui camp din document cu ajutorul careia se vor tipari actele scolare.

Fiecare camp are urmatoarele caracteristici.
- X: pozitia fata de de axa OX (orizontal);
- Y: pozitia fata de axa OY(vertical);
- Lungime: lungimea campului
- Inaltime: inaltimea campului
- Font: fontul folosit (nume, dimensiunea, caracteristici: bold, italic, etc)
- Aliniere: stanga, centru, dreapta

Caracteristice campurilor care nu pot fi setate cu ajutorul matritei:
- Offsetul - distanta de la pozitia X a campului pana la primul caracater printat(este cazul campului care trebuie printat pe 2 randuri si informatia trebuie scrisa de la mijlocul acestuia).
- Spatierea(Distantierea) intre caractere(pentru printarea campurilor CNP si SIRUES in casutele corespunzatoare) si spatierea intre randuri.
Punctul de origine de coordonate (0,0) este situat in coltul din stanga-sus.
Exemplu matrita:

click pentru zoom

verso:

click pentru zoom

Pentru o mai mare usurinta in pozitionarea campurilor folositi butoanele din stanga-jos a paginii selectand in prealabil campul pe care doriti sa-l modificati si sectiunea in care se afla: diploma sau toc(pentru redimensionare folositi butonul [image]) . Pasul pentru pozitionare/redimensionare poate fi modificat prin schimbarea valorii campului din dreptul textului: "pas". Selectand optiunea 'TOATE CAMPURILE' aveti posibilitatea de a muta toate campurile unei sectiune (TOC/DIPLOMA).

Pentru redenumire matrita modificati caracteristica 'nume'.
Pasii care trebuie urmati pentru o pozitionare si o dimensionare corecta a campurilor:
1. Imprimati 'diploma demo' folosind matrita 'default' (aceasta matrita nu poate fi modificata sau stearsa)
2. Verificati pozitionarea campurilor pe documentul printat. Daca exista nepotriviri creati o noua matrita folosind butonul [image] . Selectati matrita din lista cu matrite si modificati campurile care sunt decalate luand in calcul raportul 1cm.= 565pct. Dati un nume relevant matritei (ex. HP LaserJet - statia 2, Lexmark - server). Salvati noua configuratie folosind butonul [image].
3. Stergeti matrita folosind butonul [image].


Vizualizare coloane

4b.Operatii cu baza de date

Cu ajutorul meniului 'Administrare\Operatii baza de date' aveti posibilitatea de:

a. Export data: baza de date va fi salvata intr-un fisier *.bak.
b. Import data: baza de date va fi refacuta (restore) din fisier *.bak folosind utilitarul importData.exe.


Licenta

4c. Licenta

Setarea licentei consta in setarea unui fisier si a unei chei in dialogul de mai jos:

click pentru zoom

Pentru achizitionarea unei licente scrieti un email catre: office@enterprise-technologies.ro cu informatii despre numele unitatii de invatamant, localitatea, judetul, codul SIRUES. Veti primi ca raspuns o factura proforma si asteptam confirmarea platii prin email. Dupa primirea confirmarii veti primi licenta: 2 fisiere (*.lic si sn.txt) prin email.

telefon: 0740-183322


Contact

5.Contact

Pentru eventualele intrebari si sugestii va stam la dispozitie, la adresa de email:

office@enterprise-technologies.ro

si la numarul de telefon: 0740-183322.

Va multumeste si va doreste eficienta maxima in lucru,
echipa Enterpise Technologies